NRFA - Bug #1515

Interest calculation formula needs to be changed.
27/11/2024 01:27 PM - Krishna Kanth A

Status: In Progress Start date: 27/11/2024
Priority: Normal Due date:

Assignee: Bhanuchander Sannidhanam % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Interest calculation to be made as below.
1) A Table (Name: BankintRates) needs to be created with 2 columns, FYear int and AvgAnnintRate float.

2) When Calculate Interest rate is clicked on Manage IPC page, find the No. of days for each Year starting from "Over Due Days'
until payment Date.

3) Interest rates are to be taken from BankIntRates Table for the Respective Year.
Kindly refer to the attached Excel file for Interest Calculations.

Kindly refer to the 2 attached image files for the columns that are to be Replaced in the Manage IPC Screen in CMS Application.

History

#1 - 27/11/2024 01:35 PM - Krishna Kanth A
- Project changed from Service Desk to NRFA
- Subject changed from 1516 to Interest calculation formula needs to be changed.

- Assignee set to Durga Konduru

Interest calculation formula needs to be changed.
Response: Interest will be calculated as per the attached template and given along with monthly build.

#2 - 27/11/2024 01:35 PM - Krishna Kanth A

- Description updated

#3 - 02/12/2024 12:20 PM - Krishna Kanth A

- Description updated

#4 - 03/12/2024 12:25 PM - Krishna Kanth A

- Description updated

#5 - 03/12/2024 02:27 PM - Krishna Kanth A

- File Interest Calculation Template.xlsx added

#6 - 15/01/2025 06:05 PM - Krishna Kanth A
- File Interest Calculation Template.xIsx added
- File RDA-CMS Training and comments 21-11-24.docx added

- Description updated

#7 - 15/01/2025 06:08 PM - Krishna Kanth A

- File deleted (Interest Calculation Template.xlsx)

#8 - 16/01/2025 11:36 AM - Krishna Kanth A
- File deleted (RDA-CMS Training and comments 21-11-24.docx)
#9 - 16/01/2025 01:15 PM - Durga Konduru

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

#10 - 16/01/2025 01:24 PM - Krishna Kanth A
- File IntrestRatesCalclutation New.xIsx added
- File NRFA_Int_Rates_2.jpg added

- File NRFA_Int_rates1.jpg added

- Description updated

- Assignee changed from Bhanuchander Sannidhanam to Durga Konduru

#11 - 16/01/2025 01:24 PM - Krishna Kanth A

- File deleted (Interest Calculation Template.xIsx)

#12 - 16/01/2025 01:25 PM - Durga Konduru

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

#13 - 06/02/2025 06:15 PM - Kalyan Battula

- Status changed from New to In Progress

Interest calculation is done for all the IPC’s for the contract and added total interest against single IPC.

Interest calculation for partial payment IPC ‘s is not displaying in Interest calculation link screen.

Files

IntrestRatesCalclutation_New.xlsx 67.5 KB 16/01/2025 Krishna Kanth A
NRFA_Int_Rates_2.jpg 276 KB 16/01/2025 Krishna Kanth A
NRFA_Int_rates1.jpg 183 KB 16/01/2025 Krishna Kanth A
